websocket-sharp : WebSocketSharp.Net Namespace

# WebHeaderCollection Class

Documentation for this section has not yet been entered.

## Syntax

[System.Runtime.InteropServices.ComVisible(true)]
public class WebHeaderCollection : System.Collections.Specialized.NameValueCollection, System.Runtime.Serialization.ISerializable

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from System.Collections.Specialized.NameValueCollection.

## Public Constructors

| WebHeaderCollection () | Documentation for this section has not yet been entered.

## Protected Constructors

| WebHeaderCollection (System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext) | Documentation for this section has not yet been entered.

## Public Properties

[read-only] override | AllKeys | string[]. Documentation for this section has not yet been entered.
[read-only] override | Count | int . Documentation for this section has not yet been entered.
default property | Item (System.Net.HttpRequestHeader) | string . Documentation for this section has not yet been entered.
default property | Item (System.Net.HttpResponseHeader) | string . Documentation for this section has not yet been entered.
[read-only] override | Keys | System.Collections.Specialized.NameObjectCollectionBase.KeysCollection . Documentation for this section has not yet been entered.

## Public Methods

| Add (string) Documentation for this section has not yet been entered.
| Add (System.Net.HttpRequestHeader, string) Documentation for this section has not yet been entered.
| Add (System.Net.HttpResponseHeader, string) Documentation for this section has not yet been entered.
override | Add (string, string) Documentation for this section has not yet been entered.
override | Clear () Documentation for this section has not yet been entered.
override | Get (int) : string Documentation for this section has not yet been entered.
override | Get (string) : string Documentation for this section has not yet been entered.
override | GetEnumerator () : IEnumerator Documentation for this section has not yet been entered.
override | GetKey (int) : string Documentation for this section has not yet been entered.
override | GetObjectData (System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext) Documentation for this section has not yet been entered.
override | GetValues (int) : string[] Documentation for this section has not yet been entered.
override | GetValues (string) : string[] Documentation for this section has not yet been entered.
static | IsRestricted (string) : bool Documentation for this section has not yet been entered.
static | IsRestricted (string, bool) : bool Documentation for this section has not yet been entered.
override | OnDeserialization (object) Documentation for this section has not yet been entered.
| Remove (System.Net.HttpRequestHeader) Documentation for this section has not yet been entered.
| Remove (System.Net.HttpResponseHeader) Documentation for this section has not yet been entered.
override | Remove (string) Documentation for this section has not yet been entered.
| Set (System.Net.HttpRequestHeader, string) Documentation for this section has not yet been entered.
| Set (System.Net.HttpResponseHeader, string) Documentation for this section has not yet been entered.
override | Set (string, string) Documentation for this section has not yet been entered.
| ToByteArray () : byte[] Documentation for this section has not yet been entered.
override | ToString () : string Documentation for this section has not yet been entered.

## Protected Methods

| AddWithoutValidate (string, string) Documentation for this section has not yet been entered.

## Explicitly Implemented Interface Members

| System.Runtime.Serialization.ISerializable.GetObjectData | Documentation for this section has not yet been entered.

## Extension Methods

static | Exists (this System.Collections.Specialized.NameValueCollection, string) : bool Determines whether the entry with the specified key exists in the specified System.Collections.Specialized.NameValueCollection.
static | Exists (this System.Collections.Specialized.NameValueCollection, string, string) : bool Determines whether the entry with the specified both key and value exists in the specified System.Collections.Specialized.NameValueCollection.
static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### WebHeaderCollection Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebHeaderCollection ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### WebHeaderCollection Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> protected WebHeaderCollection (System.Runtime.Serialization.SerializationInfo serializationInfo, System.Runtime.Serialization.StreamingContext streamingContext)

> #### Parameters

> > serializationInfo
> >   Documentation for this section has not yet been entered.
> > streamingContext
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Add (string header)

> #### Parameters

> > header
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Add (System.Net.HttpRequestHeader header, string value)

> #### Parameters

> > header
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Add (System.Net.HttpResponseHeader header, string value)

> #### Parameters

> > header
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override void Add (string name, string value)

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### AddWithoutValidate Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected void AddWithoutValidate (string headerName, string headerValue)

> #### Parameters

> > headerName
> >   Documentation for this section has not yet been entered.
> > headerValue
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### AllKeys Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string[] AllKeys { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Clear Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override void Clear ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Count Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public override int Count { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Get Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string Get (int index)

> #### Parameters

> > index
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Get Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string Get (string name)

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override IEnumerator GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### GetKey Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string GetKey (int index)

> #### Parameters

> > index
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### GetObjectData Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override void GetObjectData (System.Runtime.Serialization.SerializationInfo serializationInfo, System.Runtime.Serialization.StreamingContext streamingContext)

> #### Parameters

> > serializationInfo
> >   Documentation for this section has not yet been entered.
> > streamingContext
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### GetValues Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string[] GetValues (int index)

> #### Parameters

> > index
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### GetValues Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string[] GetValues (string header)

> #### Parameters

> > header
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsRestricted Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static bool IsRestricted (string headerName)

> #### Parameters

> > headerName
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsRestricted Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static bool IsRestricted (string headerName, bool response)

> #### Parameters

> > headerName
> >   Documentation for this section has not yet been entered.
> > response
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Item Property

> Documentation for this section has not yet been entered.

> ## Syntax

> This is the default property for this class.

> public string this [System.Net.HttpRequestHeader hrh] { get; set; }

> #### Parameters

> > hrh
> >   Documentation for this section has not yet been entered.

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Item Property

> Documentation for this section has not yet been entered.

> ## Syntax

> This is the default property for this class.

> public string this [System.Net.HttpResponseHeader hrh] { get; set; }

> #### Parameters

> > hrh
> >   Documentation for this section has not yet been entered.

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Keys Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public override System.Collections.Specialized.NameObjectCollectionBase.KeysCollection Keys { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### OnDeserialization Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override void OnDeserialization (object sender)

> #### Parameters

> > sender
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Remove Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Remove (System.Net.HttpRequestHeader header)

> #### Parameters

> > header
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Remove Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Remove (System.Net.HttpResponseHeader header)

> #### Parameters

> > header
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Remove Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override void Remove (string name)

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Set Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Set (System.Net.HttpRequestHeader header, string value)

> #### Parameters

> > header
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Set Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Set (System.Net.HttpResponseHeader header, string value)

> #### Parameters

> > header
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Set Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override void Set (string name, string value)

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.
> > value
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### System.Runtime.Serialization.ISerializable.GetObjectData Method

> Documentation for this section has not yet been entered.

> ## Syntax

> void System.Runtime.Serialization.ISerializable.GetObjectData (System.Runtime.Serialization.SerializationInfo serializationInfo, System.Runtime.Serialization.StreamingContext streamingContext)

> #### Parameters

> > serializationInfo
> >   Documentation for this section has not yet been entered.
> > streamingContext
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ToByteArray Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public byte[] ToByteArray ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ToString Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string ToString ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)